> ## Documentation Index
> Fetch the complete documentation index at: https://docs.somya.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Demo Transcribe



## OpenAPI

````yaml https://api.somya.ai/openapi.json post /v1/demo/speech/transcriptions
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /v1/demo/speech/transcriptions:
    post:
      tags:
        - demo
      summary: Demo Transcribe
      operationId: demo_transcribe_v1_demo_speech_transcriptions_post
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: >-
                #/components/schemas/Body_demo_transcribe_v1_demo_speech_transcriptions_post
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                additionalProperties: true
                type: object
                title: Response Demo Transcribe V1 Demo Speech Transcriptions Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Body_demo_transcribe_v1_demo_speech_transcriptions_post:
      properties:
        audio:
          type: string
          contentMediaType: application/octet-stream
          title: Audio
      type: object
      required:
        - audio
      title: Body_demo_transcribe_v1_demo_speech_transcriptions_post
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````